Subject: Re: [PATCH] rev-list: clarify git-log default date format

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 Feb 2023 08:53:31 -0800

Junio C Hamano <[email-masked]> writes:

> Rafael Dulfer <[email-masked]> writes:
>
>> like. "`--date=default` is the default format. It is a custom format
>> based on rfc2822".
>
> But the thing is it is *not* custom based on rfc2822.  The default
> format came first, 2822 much later.  If I have to guess (and I
> shouldn't because I was around back when we invented that format,
> but I am lazy and my recollecion hazy), it came straight from the
> result of ctime() but with timezone info appended at the end.

It indeed was modeled after ctime() in f80cd783 (date.c: add
"show_date()" function., 2005-05-06).

    date.c: add "show_date()" function.
    
    Kind of like ctime(), but not as broken.